--- old/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.712044842 +0200
+++ new/usr/src/cmd/hwdata/pci.ids	2013-06-23 14:18:28.726905356 +0200
@@ -14934,21 +17014,39 @@
 	9130  88SE9128 PCIe SATA 6 Gb/s RAID controller with HyperDuo
 		1043 8438  P8P67 Deluxe Motherboard
 	9172  88SE9172 SATA 6Gb/s Controller
+	917a  88SE9172 SATA III 6Gb/s RAID Controller
+	9192  88SE9172 SATA III 6Gb/s RAID Controller
 	91a0  88SE91A0 SATA 6Gb/s Controller
-	91a4  88SE91A4 SATA 6Gb/s Controller
+	91a4  88SE912x IDE Controller
+	9230  88SE9230 PCIe SATA 6Gb/s Controller
 	9480  88SE9480 SAS/SATA 6Gb/s RAID controller
 1b55  NetUP Inc.
 	2a2c  Dual DVB-S2-CI card
 	e2e4  Dual DVB-T/C-CI RF card
+# 2xHDMI and 2xHD-SDI inputs
+	e5f4  MPEG2 and H264 Encoder-Transcoder
+	f1c4  Dual ASI-RX/TX-CI card
 1b6f  Etron Technology, Inc.
 	7023  EJ168 USB 3.0 Host Controller
+	7052  EJ188/EJ198 USB 3.0 Host Controller
 1b73  Fresco Logic
 	1000  FL1000G USB 3.0 Host Controller
+		1d5c 1000  Anker USB 3.0 Express Card
+	1009  FL1009 USB 3.0 Host Controller
+1b74  OpenVox Communication Co. Ltd.
+	0115  D115P/D115E Single-port E1/T1 card
+	d130  D130P/D130E Single-port E1/T1 card (3rd GEN)
+	d210  D210P/D210E Dual-port E1/T1 card(2nd generation)
+	d230  D230 Dual-port E1/T1 card (2nd generation)
+	d410  D410/430 Quad-port E1/T1 card
+	d430  D410/430 Quad-port E1/T1 card
 1b85  OCZ Technology Group, Inc.
 	1041  RevoDrive 3 X2 PCI-Express SSD 240 GB (Marvell Controller)
 1b96  Western Digital
 1b9a  XAVi Technologies Corp.
 1bad  ReFLEX CES
+1bb0  SimpliVity Corporation
+	0002  OmniCube Accelerator OA-3000
 1bb3  Bluecherry
 	4304  BC-04120A MPEG4 4 port video encoder / decoder
 	4309  BC-08240A MPEG4 4 port video encoder / decoder
@@ -14962,16 +17060,27 @@
 1bb5  Quantenna Communications, Inc.
 1bbf  Maxeler Technologies Ltd.
 	0003  MAX3
+	0004  MAX4
 1bf4  VTI Instruments Corporation
 1c1c  Symphony
 	0001  82C101
 1c2c  Fiberblaze
 # Used on V120 VME Crate Controller
 1c32  Highland Technology, Inc.
+1c3b  Accensus, LLC
+	0200  Telas2
+# http://www.accensusllc.com/accensustelas2.html
+	0300  Telas 2.V
 1c44  Enmotus Inc
 	8000  8000 Storage IO Controller
+1c7f  Elektrobit Austria GmbH
+	5100  EB5100
+1c8a  TSF5 Corporation
+	0001  Hunter PCI Express
+1cb1  Collion UG & Co.KG
 1d44  DPT
 	a400  PM2x24/PM3224
+1d5c  Fantasia Trading LLC
 1de1  Tekram Technology Co.,Ltd.
 	0391  TRM-S1040
 	2020  DC-390
@@ -15020,10 +17129,9 @@
 2003  Smart Link Ltd.
 	8800  LM-I56N
 2004  Smart Link Ltd.
+20f4  TRENDnet
 2116  ZyDAS Technology Corp.
 21c3  21st Century Computer Corp.
-# (Probably only the Mobile Phone Division)
-22b8  Motorola, Inc.
 2304  Colorgraphic Communications Corp.
 2348  Racore
 	2010  8142 100VG/AnyLAN
@@ -15031,12 +17139,13 @@
 270b  Xantel Corporation
 270f  Chaintech Computer Co. Ltd
 2711  AVID Technology Inc.
-29b4  82q35 Express MEI Controller
+2955  Connectix Virtual PC
+	6e61  OHCI USB 1.1 controller
 2a15  3D Vision(???)
 3000  Hansol Electronics Inc.
-3020  LSI SAS2 9211-8i
-3080  LSI SAS2 9200-8e
 3142  Post Impression Systems.
+31ab  Zonet
+	1faa  ZEW1602 802.11b/g Wireless Adapter
 3388  Hint Corp
 	0013  HiNT HC4 PCI to ISDN bridge, Multimedia audio controller
 	0014  HiNT HC4 PCI to ISDN bridge, Network controller
@@ -15359,7 +17468,7 @@
 	0301  FlyDVB-T
 5301  Alliance Semiconductor Corp.
 	0001  ProMotion aT3D
-5333  S3 Inc.
+5333  S3 Graphics Ltd.
 	0551  Plato/PX (system)
 	5631  86c325 [ViRGE]
 	8800  86c866 [Vision 866]
@@ -15465,12 +17574,12 @@
 		1179 0001  ViRGE/MX
 	8c02  ViRGE/MX+
 	8c03  ViRGE/MX+MV
-	8c10  86C270-294 Savage/MX-MV
-	8c11  82C270-294 Savage/MX
-	8c12  86C270-294 Savage/IX-MV
+	8c10  86C270-294 [SavageMX-MV]
+	8c11  82C270-294 [SavageMX]
+	8c12  86C270-294 [SavageIX-MV]
 		1014 017f  ThinkPad T20/T22
 		1179 0001  86C584 SuperSavage/IXC Toshiba
-	8c13  86C270-294 Savage/IX
+	8c13  86C270-294 [SavageIX]
 		1179 0001  Magnia Z310
 	8c22  SuperSavage MX/128
 	8c24  SuperSavage MX/64
@@ -15486,10 +17595,15 @@
 	8d02  VT8636A [ProSavage KN133] AGP4X VGA Controller (TwisterK)
 	8d03  VT8751 [ProSavageDDR P4M266]
 	8d04  VT8375 [ProSavage8 KM266/KL266]
+	8e00  DeltaChrome
+	8e26  ProSavage
 	8e40  2300E Graphics Processor
-	8e48  Chrome S27 PCIE
+	8e48  Matrix [Chrome S25 / S27]
 		5333 0130  Chrome S27 256M DDR2
-	9102  86C410 Savage 2000
+	9043  Chrome 430 GT
+	9045  Chrome 430 ULP / 435 ULP / 440 GTX
+	9060  Chrome 530 GT
+	9102  86C410 [Savage 2000]
 		1092 5932  Viper II Z200
 		1092 5934  Viper II Z200
 		1092 5952  Viper II Z200
@@ -15499,8 +17613,6 @@
 		1092 5a55  Viper II Z200
 		1092 5a57  Viper II Z200
 	ca00  SonicVibes
-53c1  SC1-ALLEGRO
-	0cd1  CD1-OPERA
 5431  AuzenTech, Inc.
 544c  Teralogic Inc
 	0350  TL880-based HDTV/ATSC tuner
@@ -15548,6 +17660,7 @@
 	1022  4 photo couple 4 relay Card
 	1025  16 photo couple 16 relay Card
 	4000  WatchDog Card
+6688  Zycoo Co., Ltd
 # nee Qumranet
 6900  Red Hat, Inc.
 7063  pcHDTV
@@ -15574,6 +17687,7 @@
 	0043  Core Processor Secondary PCI Express Root Port
 	0044  Core Processor DRAM Controller
 		1025 0347  Aspire 7740G
+		1025 0487  TravelMate 5742
 		e4bf 50c1  PC1-GROOVE
 	0045  Core Processor PCI Express x16 Root Port
 	0046  Core Processor Integrated Graphics Controller
@@ -15585,13 +17699,13 @@
 	004b  Core Processor Secondary PCI Express Root Port
 	0050  Core Processor Thermal Management Controller
 	0069  Core Processor DRAM Controller
-	0082  Centrino Advanced-N 6205
+	0082  Centrino Advanced-N 6205 [Taylor Peak]
 		8086 1301  Centrino Advanced-N 6205 AGN
 		8086 1306  Centrino Advanced-N 6205 ABG
 		8086 1307  Centrino Advanced-N 6205 BG
 		8086 1321  Centrino Advanced-N 6205 AGN
 		8086 1326  Centrino Advanced-N 6205 ABG
-	0083  Centrino Wireless-N 1000
+	0083  Centrino Wireless-N 1000 [Condor Peak]
 		8086 1205  Centrino Wireless-N 1000 BGN
 		8086 1206  Centrino Wireless-N 1000 BG
 		8086 1225  Centrino Wireless-N 1000 BGN
@@ -15600,35 +17714,35 @@
 		8086 1306  Centrino Wireless-N 1000 BG
 		8086 1325  Centrino Wireless-N 1000 BGN
 		8086 1326  Centrino Wireless-N 1000 BG
-	0084  Centrino Wireless-N 1000
+	0084  Centrino Wireless-N 1000 [Condor Peak]
 		8086 1215  Centrino Wireless-N 1000 BGN
 		8086 1216  Centrino Wireless-N 1000 BG
 		8086 1315  Centrino Wireless-N 1000 BGN
 		8086 1316  Centrino Wireless-N 1000 BG
-	0085  Centrino Advanced-N 6205
+	0085  Centrino Advanced-N 6205 [Taylor Peak]
 		8086 1311  Centrino Advanced-N 6205 AGN
 		8086 1316  Centrino Advanced-N 6205 ABG
-	0087  Centrino Advanced-N + WiMAX 6250
+	0087  Centrino Advanced-N + WiMAX 6250 [Kilmer Peak]
 		8086 1301  Centrino Advanced-N + WiMAX 6250 2x2 AGN
 		8086 1306  Centrino Advanced-N + WiMAX 6250 2x2 ABG
 		8086 1321  Centrino Advanced-N + WiMAX 6250 2x2 AGN
 		8086 1326  Centrino Advanced-N + WiMAX 6250 2x2 ABG
-	0089  Centrino Advanced-N + WiMAX 6250
+	0089  Centrino Advanced-N + WiMAX 6250 [Kilmer Peak]
 		8086 1311  Centrino Advanced-N + WiMAX 6250 2x2 AGN
 		8086 1316  Centrino Advanced-N + WiMAX 6250 2x2 ABG
-	008a  Centrino Wireless-N 1030
+	008a  Centrino Wireless-N 1030 [Rainbow Peak]
 		8086 5305  Centrino Wireless-N 1030 BGN
 		8086 5307  Centrino Wireless-N 1030 BG
 		8086 5325  Centrino Wireless-N 1030 BGN
 		8086 5327  Centrino Wireless-N 1030 BG
-	008b  Centrino Wireless-N 1030
+	008b  Centrino Wireless-N 1030 [Rainbow Peak]
 		8086 5315  Centrino Wireless-N 1030 BGN
 		8086 5317  Centrino Wireless-N 1030 BG
-	0090  Centrino Advanced-N 6230
+	0090  Centrino Advanced-N 6230 [Rainbow Peak]
 		8086 5211  Centrino Advanced-N 6230 AGN
 		8086 5215  Centrino Advanced-N 6230 BGN
 		8086 5216  Centrino Advanced-N 6230 ABG
-	0091  Centrino Advanced-N 6230
+	0091  Centrino Advanced-N 6230 [Rainbow Peak]
 		8086 5201  Centrino Advanced-N 6230 AGN
 		8086 5205  Centrino Advanced-N 6230 BGN
 		8086 5206  Centrino Advanced-N 6230 ABG
@@ -15641,10 +17755,16 @@
 		1043 844d  P8P67 Deluxe Motherboard
 	0101  Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
 		1028 04b2  Vostro 3350
+		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
 	0102  2nd Generation Core Processor Family Integrated Graphics Controller
+		1028 04aa  XPS 8300
 	0104  2nd Generation Core Processor Family DRAM Controller
+		1028 04a3  Precision M4600
 		1028 04b2  Vostro 3350
+		1028 04da  Vostro 3750
+		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
 	0105  Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
+		106b 00dc  MacBookPro8,2 [Core i7, 15", 2011]
 	0106  2nd Generation Core Processor Family Integrated Graphics Controller
 	0108  Xeon E3-1200 Processor Family DRAM Controller
 	0109  Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
@@ -15655,31 +17775,45 @@
 	010e  Xeon E3-1200/2nd Generation Core Processor Family Integrated Graphics Controller
 	0112  2nd Generation Core Processor Family Integrated Graphics Controller
 	0116  2nd Generation Core Processor Family Integrated Graphics Controller
+		1028 04da  Vostro 3750
 	0122  2nd Generation Core Processor Family Integrated Graphics Controller
 	0126  2nd Generation Core Processor Family Integrated Graphics Controller
 		1028 04cc  Vostro 3350
-	0150  Ivy Bridge DRAM Controller
-	0151  Ivy Bridge PCI Express Root Port
-	0152  Ivy Bridge Graphics Controller
-	0154  Ivy Bridge DRAM Controller
-	0155  Ivy Bridge PCI Express Root Port
-	0156  Ivy Bridge Graphics Controller
-	0158  Ivy Bridge DRAM Controller
-	0159  Ivy Bridge PCI Express Root Port
-	015a  Ivy Bridge Graphics Controller
-	015c  Ivy Bridge DRAM Controller
-	015d  Ivy Bridge PCI Express Root Port
-	015e  Ivy Bridge Graphics Controller
-	0162  Ivy Bridge Graphics Controller
-	0166  Ivy Bridge Graphics Controller
-	016a  Ivy Bridge Graphics Controller
-	0172  Ivy Bridge Graphics Controller
-	0176  Ivy Bridge Graphics Controller
+	0150  Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller
+		1043 84ca  P8H77-I Motherboard
+	0151  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+		1043 1477  N56VZ
+		1043 84ca  P8H77-I Motherboard
+	0152  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+		1043 84ca  P8H77-I Motherboard
+	0153  3rd Gen Core Processor Thermal Subsystem
+		1043 1517  Zenbook Prime UX31A
+	0154  3rd Gen Core processor DRAM Controller
+		103c 17f6  ProBook 4540s
+		1043 1477  N56VZ
+		1043 1517  Zenbook Prime UX31A
+	0155  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+	0156  3rd Gen Core processor Graphics Controller
+	0158  Xeon E3-1200 v2/Ivy Bridge DRAM Controller
+	0159  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+	015a  Xeon E3-1200 v2/Ivy Bridge Graphics Controller
+	015c  Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller
+	015d  Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port
+	015e  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+	0162  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+	0166  3rd Gen Core processor Graphics Controller
+		1043 1517  Zenbook Prime UX31A
+		1043 2103  N56VZ
+	016a  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+	0172  Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller
+	0176  3rd Gen Core processor Graphics Controller
 	0309  80303 I/O Processor PCI-to-PCI Bridge
 	030d  80312 I/O Companion Chip PCI-to-PCI Bridge
 	0326  6700/6702PXH I/OxAPIC Interrupt Controller A
+		103c 3208  ProLiant DL140 G2
 		1775 1100  CR11/VR11 Single Board Computer
 	0327  6700PXH I/OxAPIC Interrupt Controller B
+		103c 3208  ProLiant DL140 G2
 		1775 1100  CR11/VR11 Single Board Computer
 	0329  6700PXH PCI Express-to-PCI Bridge A
 	032a  6700PXH PCI Express-to-PCI Bridge B
@@ -15698,13 +17832,15 @@
 	0372  80333 Segment-B PCI Express-to-PCI Express Bridge
 	0373  80333 B-Bus IOAPIC
 	0374  80333 Address Translation Unit
-	0402  Haswell Integrated Graphics Controller
-	0406  Haswell Integrated Graphics Controller
-	040a  Haswell Integrated Graphics Controller
-	0412  Haswell Integrated Graphics Controller
-	0416  Haswell Integrated Graphics Controller
-	041a  Haswell Integrated Graphics Controller
-	0436  DH89xxCC Gigabit SGMII Connection
+	0402  Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller
+	0406  4th Gen Core Processor Integrated Graphics Controller
+	040a  Xeon E3-1200 v3 Processor Integrated Graphics Controller
+	0412  Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller
+	0416  4th Gen Core Processor Integrated Graphics Controller
+	041a  Xeon E3-1200 v3 Processor Integrated Graphics Controller
+	0433  Coleto Creek ACC - ME/CPM interface
+	0435  Coleto Creek PCIe Endpoint
+	0436  DH8900CC Null Device
 	0438  DH8900CC Series Gigabit Network Connection
 	043a  DH8900CC Series Gigabit Fiber Network Connection
 	043c  DH8900CC Series Gigabit Backplane Network Connection
@@ -15824,11 +17960,112 @@
 	08af  Centrino Wireless-N 100
 		8086 1015  Centrino Wireless-N 100 BGN
 		8086 1017  Centrino Wireless-N 100 BG
+	08b1  Wireless 7260
+# Wilkins Peak 2 2x2 AGN + BT
+		8086 4060  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 4062  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4070  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 AGN + BT
+		8086 4160  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 4162  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4170  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 AGN + BT
+		8086 4460  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 4462  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4470  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 486e  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4870  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4a6c  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4a6e  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 4a70  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz (No BT)
+		8086 c020  Dual Band Wireless-N 7260
+# Wilkins Peak 2 2x2 AGN + BT
+		8086 c060  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 c062  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 c070  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 AGN + BT
+		8086 c160  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 c162  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 c170  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 AGN (No BT) - Dell
+		8086 c420  Dual Band Wireless-N 7260
+# Wilkins Peak 2 AGN + BT
+		8086 c460  Dual Band Wireless-N 7260
+# Wilkins Peak 2 BGN + BT
+		8086 c462  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT
+		8086 c470  Dual Band Wireless-AC 7260
+	08b2  Wireless 7260
+# Wilkins Peak 2 2x2 AGN (No BT) - Lenovo/HP
+		8086 4220  Dual Band Wireless-N 7260
+# Wilkins Peak 2 2x2 AGN + BT - Lenovo/HP
+		8086 4260  Dual Band Wireless-N 7260
+# Wilkins Peak 2 2x2 BGN + BT - Dell
+		8086 4262  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT - Lenovo/HP
+		8086 4270  Dual Band Wireless-AC 7260
+# Wilkins Peak 2 2x2 80MHz (No BT) - Lenovo/HP
+		8086 c220  Dual Band Wireless-N 7260
+# Wilkins Peak 2 2x2 AGN + BT - Lenovo/HP
+		8086 c260  Dual Band Wireless-N 7260
+# Wilkins Peak 2 2x2 BGN + BT - Dell
+		8086 c262  Wireless-N 7260
+# Wilkins Peak 2 2x2 80MHz + BT - Lenovo/HP
+		8086 c270  Dual Band Wireless-AC 7260
+	08b3  Wireless 3160
+# Wilkins Peak 1 1x1 AGN + BT
+		8086 0060  Dual Band Wireless-N 3160
+# Wilkins Peak 1 1x1 BGN + BT
+		8086 0062  Wireless-N 3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 0070  Dual Band Wireless-AC 3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 0170  Dual Band Wireless-AC 3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 0470  Dual Band Wireless-AC 3160
+# Wilkins Peak 1 1x1 AGN + BT
+		8086 8060  Dual Band Wireless N-3160
+# Wilkins Peak 1 1x1 BGN + BT
+		8086 8062  Wireless N-3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 8070  Dual Band Wireless AC 3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 8170  Dual Band Wireless AC 3160
+# Wilkins Peak 1 1x1 80Mhz + BT
+		8086 8470  Dual Band Wireless AC 3160
+	08b4  Wireless 3160
+# Wilkins Peak 1 1x1 80Mhz + BT - lenovo/HP
+		8086 0270  Dual Band Wireless-AC 3160
+# Wilkins Peak 1 1x1 80Mhz + BT - lenovo/HP
+		8086 8270  Dual Band Wireless AC 3160
 	0960  80960RP (i960RP) Microprocessor/Bridge
 	0962  80960RM (i960RM) Bridge
 	0964  80960RP (i960RP) Microprocessor/Bridge
+	0a04  Haswell-ULT DRAM Controller
+	0a06  Haswell-ULT Integrated Graphics Controller
+	0a16  Haswell-ULT Integrated Graphics Controller
+	0a22  Haswell-ULT Integrated Graphics Controller
+	0a26  Haswell-ULT Integrated Graphics Controller
+	0a2a  Haswell-ULT Integrated Graphics Controller
 	0be0  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be1  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
+		105b 0d7c  D270S/D250S Motherboard
 	0be2  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be3  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
 	0be4  Atom Processor D2xxx/N2xxx Integrated Graphics Controller
@@ -15849,41 +18086,252 @@
 	0bf3  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf4  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf5  Atom Processor D2xxx/N2xxx DRAM Controller
+		105b 0d7c  D270S/D250S Motherboard
 	0bf6  Atom Processor D2xxx/N2xxx DRAM Controller
 	0bf7  Atom Processor D2xxx/N2xxx DRAM Controller
-	0c00  Haswell DRAM Controller
-	0c01  Haswell PCI Express x16 Controller
-	0c04  Haswell DRAM Controller
-	0c05  Haswell PCI Express x8 Controller
-	0c08  Haswell DRAM Controller
-	0c09  Haswell PCI Express x4 Controller
-	0c0c  Haswell HD Audio Controller
-	0c46  Centerton PCI Express Root Port 1
-	0c47  Centerton PCI Express Root Port 2
-	0c48  Centerton PCI Express Root Port 3
-	0c49  Centerton PCI Express Root Port 4
-	0c4e  Centerton NTB Primary
-	0c54  Centerton Internal Management
-	0c59  Centerton SMBus 2.0 Controller 0
-	0c5a  Centerton SMBus 2.0 Controller 1
-	0c5f  Centerton UART
-	0c60  Centerton Integrated Legacy Bus
-	0c70  Centerton Internal Fabric
-	0c71  Centerton Internal Fabric
-	0c72  Centerton Internal Fabric
-	0c73  Centerton Internal Fabric
-	0c74  Centerton Internal Fabric
-	0c75  Centerton Internal Fabric
-	0c76  Centerton Internal Fabric
-	0c77  Centerton Internal Fabric
-	0c78  Centerton Internal Fabric
-	0c79  Centerton Internal Fabric
-	0c7a  Centerton Internal Fabric
-	0c7b  Centerton Internal Fabric
-	0c7c  Centerton Internal Fabric
-	0c7d  Centerton Internal Fabric
-	0c7e  Centerton Internal Fabric
-	0c7f  Centerton Internal Fabric
+	0c00  4th Gen Core Processor DRAM Controller
+	0c01  Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller
+	0c04  Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller
+	0c05  Xeon E3-1200 v3/4th Gen Core Processor PCI Express x8 Controller
+	0c08  Xeon E3-1200 v3 Processor DRAM Controller
+	0c09  Xeon E3-1200 v3/4th Gen Core Processor PCI Express x4 Controller
+	0c0c  Xeon E3-1200 v3/4th Gen Core Processor HD Audio Controller
+	0c46  Atom Processor S1200 PCI Express Root Port 1
+	0c47  Atom Processor S1200 PCI Express Root Port 2
+	0c48  Atom Processor S1200 PCI Express Root Port 3
+	0c49  Atom Processor S1200 PCI Express Root Port 4
+	0c4e  Atom Processor S1200 NTB Primary
+	0c54  Atom Processor S1200 Internal
+	0c55  Atom Processor S1200 DFX 1
+	0c56  Atom Processor S1200 DFX 2
+	0c59  Atom Processor S1200 SMBus 2.0 Controller 0
+	0c5a  Atom Processor S1200 SMBus 2.0 Controller 1
+	0c5b  Atom Processor S1200 SMBus Controller 2
+	0c5c  Atom Processor S1200 SMBus Controller 3
+	0c5d  Atom Processor S1200 SMBus Controller 4
+	0c5e  Atom Processor S1200 SMBus Controller 5
+	0c5f  Atom Processor S1200 UART
+	0c60  Atom Processor S1200 Integrated Legacy Bus
+	0c70  Atom Processor S1200 Internal
+	0c71  Atom Processor S1200 Internal
+	0c72  Atom Processor S1200 Internal
+	0c73  Atom Processor S1200 Internal
+	0c74  Atom Processor S1200 Internal
+	0c75  Atom Processor S1200 Internal
+	0c76  Atom Processor S1200 Internal
+	0c77  Atom Processor S1200 Internal
+	0c78  Atom Processor S1200 Internal
+	0c79  Atom Processor S1200 Internal
+	0c7a  Atom Processor S1200 Internal
+	0c7b  Atom Processor S1200 Internal
+	0c7c  Atom Processor S1200 Internal
+	0c7d  Atom Processor S1200 Internal
+	0c7e  Atom Processor S1200 Internal
+	0c7f  Atom Processor S1200 Internal
+	0d00  Crystal Well DRAM Controller
+	0d01  Crystal Well PCI Express x16 Controller
+	0d04  Crystal Well DRAM Controller
+	0d05  Crystal Well PCI Express x8 Controller
+	0d09  Crystal Well PCI Express x4 Controller
+	0d0c  Crystal Well HD Audio Controller
+	0d16  Crystal Well Integrated Graphics Controller
+	0d26  Crystal Well Integrated Graphics Controller
+	0d36  Crystal Well Integrated Graphics Controller
+	0e00  Ivytown DMI2
+	0e01  Ivytown PCI Express Root Port in DMI2 Mode
+	0e02  Ivytown PCI Express Root Port 1a
+	0e03  Ivytown PCI Express Root Port 1b
+	0e04  Ivytown PCI Express Root Port 2a
+	0e05  Ivytown PCI Express Root Port 2b
+	0e06  Ivytown PCI Express Root Port 2c
+	0e07  Ivytown PCI Express Root Port 2d
+	0e08  Ivytown PCI Express Root Port 3a
+	0e09  Ivytown PCI Express Root Port 3b
+	0e0a  Ivytown PCI Express Root Port 3c
+	0e0b  Ivytown PCI Express Root Port 3d
+	0e1c  Ivytown Debug and Error Injection Related Registers
+	0e1d  Ivytown R2PCIe
+	0e1e  Ivytown Semaphore and Scratchpad Configuration Registers
+	0e1f  Ivytown Semaphore and Scratchpad Configuration Registers
+	0e20  Ivytown Crystal Beach DMA Channel 0
+	0e21  Ivytown Crystal Beach DMA Channel 1
+	0e22  Ivytown Crystal Beach DMA Channel 2
+	0e23  Ivytown Crystal Beach DMA Channel 3
+	0e24  Ivytown Crystal Beach DMA Channel 4
+	0e25  Ivytown Crystal Beach DMA Channel 5
+	0e26  Ivytown Crystal Beach DMA Channel 6
+	0e27  Ivytown Crystal Beach DMA Channel 7
+	0e28  Ivytown VTd/Memory Map/Misc
+	0e29  Ivytown Memory Hotplug
+	0e2a  Ivytown IIO RAS
+	0e2c  Ivytown IOAPIC
+	0e2e  Ivytown CBDMA
+	0e2f  Ivytown CBDMA
+	0e30  Ivytown Home Agent 0
+	0e32  Ivytown QPI Link 0
+	0e33  Ivytown QPI Link 1
+	0e34  Ivytown PCI Express Ring Performance Monitoring
+	0e36  Ivytown QPI Ring Performance Ring Monitoring
+	0e37  Ivytown QPI Ring Performance Ring Monitoring
+	0e38  Ivytown Home Agent 1
+	0e3a  Ivytown QPI Link 2
+	0e3e  Ivytown QPI Ring Performance Ring Monitoring
+	0e3f  Ivytown QPI Ring Performance Ring Monitoring
+	0e40  Ivytown QPI Link 2
+	0e41  Ivytown QPI Ring Registers
+	0e43  Ivytown QPI Link Reut 2
+	0e44  Ivytown QPI Link Reut 2
+	0e60  Ivytown Home Agent 1
+	0e68  Ivytown Integrated Memory Controller 1 Target Address/Thermal Registers
+	0e6a  Ivytown Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6b  Ivytown Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6c  Ivytown Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e6d  Ivytown Integrated Memory Controller 1 Channel Target Address Decoder Registers
+	0e71  Ivytown Integrated Memory Controller 0 RAS Registers
+	0e79  Ivytown Integrated Memory Controller 1 RAS Registers
+	0e80  Ivytown QPI Link 0
+	0e81  Ivytown QPI Ring Registers
+	0e83  Ivytown QPI Link Reut 0
+	0e84  Ivytown QPI Link Reut 0
+	0e90  Ivytown QPI Link 1
+	0e93  Ivytown QPI Link 1
+	0e94  Ivytown QPI Link Reut 1
+	0ea0  Ivytown Home Agent 0
+	0ea8  Ivytown Integrated Memory Controller 0 Target Address/Thermal Registers
+	0eaa  Ivytown Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eab  Ivytown Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eac  Ivytown Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0ead  Ivytown Integrated Memory Controller 0 Channel Target Address Decoder Registers
+	0eb0  Ivytown Integrated Memory Controller 1 Channel 0-3 Thermal Control 0
+	0eb1  Ivytown Integrated Memory Controller 1 Channel 0-3 Thermal Control 1
+	0eb2  Ivytown Integrated Memory Controller 1 Channel 0-3 ERROR Registers 0
+	0eb3  Ivytown Integrated Memory Controller 1 Channel 0-3 ERROR Registers 1
+	0eb4  Ivytown Integrated Memory Controller 1 Channel 0-3 Thermal Control 2
+	0eb5  Ivytown Integrated Memory Controller 1 Channel 0-3 Thermal Control 3
+	0eb6  Ivytown Integrated Memory Controller 1 Channel 0-3 ERROR Registers 2
+	0eb7  Ivytown Integrated Memory Controller 1 Channel 0-3 ERROR Registers 3
+	0ec0  Ivytown Power Control Unit 0
+	0ec1  Ivytown Power Control Unit 1
+	0ec2  Ivytown Power Control Unit 2
+	0ec3  Ivytown Power Control Unit 3
+	0ec4  Ivytown Power Control Unit 4
+	0ec8  Ivytown System Address Decoder
+	0ec9  Ivytown Broadcast Registers
+	0eca  Ivytown Broadcast Registers
+	0ed8  Ivytown DDRIO
+	0ed9  Ivytown DDRIO
+	0edc  Ivytown DDRIO
+	0edd  Ivytown DDRIO
+	0ede  Ivytown DDRIO
+	0edf  Ivytown DDRIO
+	0ee0  Ivytown Unicast Registers
+	0ee1  Ivytown Unicast Registers
+	0ee2  Ivytown Unicast Registers
+	0ee3  Ivytown Unicast Registers
+	0ee4  Ivytown Unicast Registers
+	0ee5  Ivytown Unicast Registers
+	0ee6  Ivytown Unicast Registers
+	0ee7  Ivytown Unicast Registers
+	0ee8  Ivytown Unicast Registers
+	0ee9  Ivytown Unicast Registers
+	0eea  Ivytown Unicast Registers
+	0eeb  Ivytown Unicast Registers
+	0eec  Ivytown Unicast Registers
+	0eed  Ivytown Unicast Registers
+	0eee  Ivytown Unicast Registers
+	0ef0  Ivytown Integrated Memory Controller 0 Channel 0-3 Thermal Control 0
+	0ef1  Ivytown Integrated Memory Controller 0 Channel 0-3 Thermal Control 1
+	0ef2  Ivytown Integrated Memory Controller 0 Channel 0-3 ERROR Registers 0
+	0ef3  Ivytown Integrated Memory Controller 0 Channel 0-3 ERROR Registers 1
+	0ef4  Ivytown Integrated Memory Controller 0 Channel 0-3 Thermal Control 2
+	0ef5  Ivytown Integrated Memory Controller 0 Channel 0-3 Thermal Control 3
+	0ef6  Ivytown Integrated Memory Controller 0 Channel 0-3 ERROR Registers 2
+	0ef7  Ivytown Integrated Memory Controller 0 Channel 0-3 ERROR Registers 3
+	0ef8  Ivytown DDRIO
+	0ef9  Ivytown DDRIO
+	0efa  Ivytown DDRIO
+	0efb  Ivytown DDRIO
+	0efc  Ivytown DDRIO
+	0efd  Ivytown DDRIO
+	0f00  ValleyView SSA-CUnit
+	0f01  ValleyView SSA-CUnit
+	0f02  ValleyView SSA-CUnit
+	0f03  ValleyView SSA-CUnit
+	0f04  ValleyView High Definition Audio Controller
+	0f05  ValleyView High Definition Audio Controller
+	0f06  ValleyView LPIO1 DMA Controller
+	0f07  ValleyView LPIO1 DMA Controller
+	0f08  ValleyView LPIO1 PWM Controller
+	0f09  ValleyView LPIO1 PWM Controller
+	0f0a  ValleyView LPIO1 HSUART Controller #1
+	0f0b  ValleyView LPIO1 HSUART Controller #1
+	0f0c  ValleyView LPIO1 HSUART Controller #2
+	0f0d  ValleyView LPIO1 HSUART Controller #2
+	0f0e  ValleyView LPIO1 SPI Controller
+	0f0f  ValleyView LPIO1 SPI Controller
+	0f10  ValleyView LPIO1 Controller
+	0f11  ValleyView LPIO1 Controller
+	0f12  ValleyView SMBus Controller
+	0f13  ValleyView SMBus Controller
+	0f14  ValleyView SDIO Controller
+	0f15  ValleyView SDIO Controller
+	0f16  ValleyView SDIO Controller
+	0f17  ValleyView SDIO Controller
+	0f18  ValleyView SEC
+	0f19  ValleyView SEC
+	0f1a  ValleyView SEC
+	0f1b  ValleyView SEC
+	0f1c  ValleyView Power Control Unit
+	0f1d  ValleyView Power Control Unit
+	0f1e  ValleyView Power Control Unit
+	0f1f  ValleyView Power Control Unit
+	0f20  ValleyView 4-Port SATA Storage Controller
+	0f21  ValleyView 4-Port SATA Storage Controller
+	0f22  ValleyView 6-Port SATA AHCI Controller
+	0f23  ValleyView 6-Port SATA AHCI Controller
+	0f24  ValleyView SATA RAID Storage Controller
+	0f25  ValleyView SATA RAID Storage Controller
+	0f26  ValleyView 2-Port SATA Storage Controller
+	0f27  ValleyView 2-Port SATA Storage Controller
+	0f28  ValleyView LPE Audio Controller
+	0f29  ValleyView LPE Audio Controller
+	0f2a  ValleyView LPE Audio Controller
+	0f2b  ValleyView LPE Audio Controller
+	0f2e  ValleyView SATA RAID Storage Controller
+	0f2f  ValleyView SATA RAID Storage Controller
+	0f30  ValleyView Gen7
+	0f31  ValleyView Gen7
+	0f32  ValleyView Gen7
+	0f33  ValleyView Gen7
+	0f34  ValleyView USB Enhanced Host Controller
+	0f35  ValleyView USB xHCI Host Controller
+	0f36  ValleyView USB xHCI Host Controller
+	0f37  ValleyView OTG
+	0f38  ValleyView ISP
+	0f39  ValleyView ISP
+	0f3a  ValleyView ISP
+	0f3b  ValleyView ISP
+	0f3c  ValleyView ISP
+	0f3d  ValleyView ISP
+	0f3e  ValleyView ISP
+	0f3f  ValleyView ISP
+	0f40  ValleyView LPIO2 DMA Controller
+	0f41  ValleyView LPIO2 I2C Controller #1
+	0f42  ValleyView LPIO2 I2C Controller #2
+	0f43  ValleyView LPIO2 I2C Controller #3
+	0f44  ValleyView LPIO2 I2C Controller #4
+	0f45  ValleyView LPIO2 I2C Controller #5
+	0f46  ValleyView LPIO2 I2C Controller #6
+	0f47  ValleyView LPIO2 I2C Controller #7
+	0f48  ValleyView PCI Express Root Port
+	0f49  ValleyView PCI Express Root Port
+	0f4a  ValleyView PCI Express Root Port
+	0f4b  ValleyView PCI Express Root Port
+	0f4c  ValleyView PCI Express Root Port
+	0f4d  ValleyView PCI Express Root Port
+	0f4e  ValleyView PCI Express Root Port
+	0f4f  ValleyView PCI Express Root Port
+	0f50  ValleyView MIPI-HSI Controller
 	1000  82542 Gigabit Ethernet Controller (Fiber)
 		0e11 b0df  NC6132 Gigabit Ethernet Adapter (1000-SX)
 		0e11 b0e0  NC6133 Gigabit Ethernet Adapter (1000-LX)
@@ -16055,7 +18503,7 @@
 		8086 a11f  PRO/10GbE LR Server Adapter
 	1049  82566MM Gigabit Network Connection
 		103c 30c1  Compaq 6910p
-		17aa 20b9  ThinkPad T61
+		17aa 20b9  ThinkPad T61/R61
 	104a  82566DM Gigabit Network Connection
 	104b  82566DC Gigabit Network Connection
 	104c  82562V 10/100 Network Connection
@@ -16178,6 +18626,7 @@
 	1094  PRO/100 VE Network Connection
 	1095  PRO/100 VE Network Connection
 	1096  80003ES2LAN Gigabit Ethernet Controller (Copper)
+		15d9 1096  Motherboard
 		15d9 8680  X7DVL-E-O motherboard
 		8086 3476  Intel S5000PSLSATA Server Board
 	1097  631xESB/632xESB DPT LAN Controller (Fiber)
@@ -16254,6 +18703,7 @@
 		103c 323f  NC362i Integrated Dual port Gigabit Server Adapter
 		10a9 8028  UV-BaseIO dual-port GbE
 		13a3 0037  DS4100 Secure Multi-Gigabit Server Adapter with Compression
+		15d9 a811  H8DGU
 		8086 a01c  Gigabit ET Dual Port Server Adapter
 		8086 a03c  Gigabit ET Dual Port Server Adapter
 		8086 a04c  Gigabit ET Dual Port Server Adapter
@@ -16265,6 +18715,7 @@
 	10d3  82574L Gigabit Network Connection
 		103c 3250  NC112T PCI Express single Port Gigabit Server Adapter
 		10a9 8029  Prism XL Single Port Gigabit Ethernet
+		15d9 060a  X7SPA-H/X7SPA-HF Motherboard
 		8086 0001  Gigabit CT2 Desktop Adapter
 		8086 a01f  Gigabit CT Desktop Adapter
 		e4bf 50c1  PC1-GROOVE
@@ -16298,6 +18749,7 @@
 		8086 a02b  Gigabit ET Quad Port Server Adapter
 		8086 a02c  Gigabit ET Quad Port Server Adapter
 	10ea  82577LM Gigabit Network Connection
+		1028 040a  Latitude E6410
 		1028 040b  Latitude E6510
 		e4bf 50c1  PC1-GROOVE
 	10eb  82577LC Gigabit Network Connection
@@ -16306,6 +18758,7 @@
 		8086 a11f  10-Gigabit CX4 Dual Port Server Adapter
 	10ed  82599 Ethernet Controller Virtual Function
 	10ef  82578DM Gigabit Network Connection
+		1028 02da  OptiPlex 980
 	10f0  82578DC Gigabit Network Connection
 	10f1  82598EB 10-Gigabit AF Dual Port Network Connection
 		8086 a20f  10-Gigabit AF DA Dual Port Server Adapter
